Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 14:34
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Muppy 008.2 (Feb 01, 2008) outdated
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 10 Posts_count   Goto page: 1, 2, 3, ..., 8, 9, 10 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Fri 01 Feb 2008, 00:25    Post_subject:  Muppy 008.2 (Feb 01, 2008) outdated  

WARNING:

Version 008.2 is outdated.

Please use instead version 008.3:
http://murga-linux.com/puppy/viewtopic.php?t=28543


The following infos are for historians only.

WARNUNG:

Version 008.2 ist veraltet.

Bitte benutzen Sie Version 008.3:
http://murga-linux.com/puppy/viewtopic.php?t=28543

Die folgenden Texte stehen nur noch zu Archivzwecken zur Verfügung.

------------------------------------------------------------
general details see older version:
http://murga-linux.com/puppy/viewtopic.php?t=25414

Changes:
Fixed my erratic Cups-implementation.
The addon now includes gdesklets
http://murga-linux.com/puppy/viewtopic.php?t=25822

And the Gnome-panel.
Thanks to wow for compilation Exclamation
Note: This is no full Gnome!

Why I added it:
Some modern programs you might want to run,need Gnome-libs (like the gdesklets).
Here the most important are included.
You also might like to run a WindowManager like WMaker.
http://murga-linux.com/puppy/viewtopic.php?t=25900
With the Gnome-Panel, you get a Puppy-Menu and a taskbar.
Run it from the menu, or from .xinitrc like this:
sleep 2 && gnome-panel &
Or drag it on the autostart.
I added some tweaks for a better menu, and it will open Rox as filemanager, if you click on "places".
http://murga-linux.com/puppy/viewtopic.php?t=25925
To create file-associations, I had to do:
Code:
gconftool-2 --type string --set /desktop/gnome/url-handlers/file/command "rox %s"
gconftool-2 --type bool --set /desktop/gnome/url-handlers/file/enabled true

This created new entries in /root/.gconf


I also added pcmanfm.
In the "Filesystem"-menu you can select to use it as default- replacing the Rox-Filerwindows.
http://murga-linux.com/puppy/viewtopic.php?t=25699

I uploaded the files at
http://puppyisos.org/isos/2008-01-to-06/Muppy-008.2/
http://puppyfiles.ca/puppyisos/isos/Muppy008.2/

The FULL iso (combination of mini and addon in one) will follow this weekend.

I also upload the build-system (for Puppy-Developers, not needed for the Iso!) to
http://puppyfiles.ca/puppyisos/isos/Muppy-Buildsystem/
http://puppyisos.org/isos/2008-01-to-06/Muppy-Buildsystem/
As usual, you must extract the office-addon (still 008.1) in /sfs-sources/ if you want it.

You also can download additional SFS files from:
http://puppyfiles.ca/puppyisos/isos/Muppy-SFS/
Currently there is one with the Adobe PDF-Reader.
Info: http://murga-linux.com/puppy/viewtopic.php?p=171508#171508

francais:
http://murga-linux.com/puppy/viewtopic.php?p=182401#182401

Mark

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
Tui

Joined: 27 Sep 2006
Posts: 380
Location: Wellington New Zealand

PostPosted: Fri 01 Feb 2008, 01:03    Post_subject:  

MU
What's the kernel version for this one and does it
include all BarryK and developers bug fix findings ?

Cheers Tui
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Fri 01 Feb 2008, 05:38    Post_subject:  

Same as 008.1, it is Puppy 301 with addons and community-bugfixes.
Mark
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 02 Feb 2008, 01:35    Post_subject:  

Uploaded all files, also the big Standard-Isos.
And a Adobe PDF Reader addon.
See first message.

I deleted all earlier versions because of their errors.

Mark
Back to top
View user's profile Send_private_message Visit_website 
gw

Joined: 22 Apr 2006
Posts: 89
Location: Suisse

PostPosted: Sat 02 Feb 2008, 07:33    Post_subject:  

Hi,

@MU

I'm searching how to rebuild the Muppy with one windowmanager (JWM only). So, I would delete all the compounds used by icewm (icewm itself, themes, backgrounds, ....). I have had a look in the muppy008build but I don't found clearly the packages I have to delete to reach my objective.

Nice work, Mark, I progress with the translation in french.

A--
gw
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 02 Feb 2008, 11:25    Post_subject:  

sfs-sources/packages-base/ezpup/root/my-applications/icedock
sfs-sources/packages-addon-standard/icewm
sfs-sources/packages-base/icewm
sfs-sources/packages-base/ezpup/root/.icewm
sfs-sources/packages-base/ezpup/root/my-applications/bin

Some files are in the ezpup-folder.
I added/replaced some from the original ezpup.
It would be cleaner if I had put all in the icewm-folder, just had no time to sort it.
This is the reason, why there is more than one folder.
The one in packages-addon-standard/icewm has some additional themes.

Mark
Back to top
View user's profile Send_private_message Visit_website 
Devildog

Joined: 28 Dec 2006
Posts: 7

PostPosted: Sat 02 Feb 2008, 15:50    Post_subject: CUPS
Sub_title: Foomatic RIP Failed
 

For MU -

Thank you for Muppy 008.2 Mini. . .it is truly amazing.

When I went to install/add my HP Officejet 5610 All-in-One printer (USB connection) with the CUPS Wizard, the following message was displayed when attempting to test print:

". . .foomatic RIP failed."

I then installed the following DotPup:

cups-install-v0.3.pup

I then tried again to install/add my printer with the CUPS Wizard, and had no problems.

Thought the above information may be useful.

Thank you again for this wonderful Puppy Derivative.

Very Respectfully,

Devildog
Back to top
View user's profile Send_private_message 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Sat 02 Feb 2008, 16:43    Post_subject:  

try the hpijs from here, instead of installing cups over cups, hpijs is HP printer drivers.

hpijs works with cups 1.1.15 and higher, im guessing Muppy 008.2 is using 1.3?

_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send_private_message 
Devildog

Joined: 28 Dec 2006
Posts: 7

PostPosted: Sat 02 Feb 2008, 17:46    Post_subject: CUPS  

For Wolf Pup -

Thank you for responding to my posting, I appreciate it.

With a fresh Muppy 008.2 Mini ISO, I followed your suggestion, and installed the HPIJS PET, and installed/added my printer with the CUPS Wizard. When I tried the "print test page," the following error was displayed:

"/usr/lib/cups/filter/foomatic-rip failed"

The printer driver I had selected was HP OfficeJet 5600 Foomatic/hpijs (recommended).

I will try some of the other printer drivers from the list. Thank you again for your assistance.

Very Respectfully,

Devildog
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 02 Feb 2008, 18:33    Post_subject:  

Please try:
copy the file:
/usr/bin/foomatic-rip
to
/usr/lib/cups/filter/foomatic-rip

So you replace the symlink with the real file.
It could be the same rights-management problem I already had with Ghostscript. Confused
Copying the file should solve that.
Mark
Back to top
View user's profile Send_private_message Visit_website 
Devildog

Joined: 28 Dec 2006
Posts: 7

PostPosted: Sat 02 Feb 2008, 20:14    Post_subject: CUPS  

For Mark,

Thank you for your response, I appreciate it.

I followed your instructions, and still encountered the same error when attempting to print the test page in CUPS.

I then completed the following; with a fresh Muppy 008.2 Mini ISO, I downloaded and installed cups-install-v0.3.pup and hpijs-2.7.12.pet. Added the new printer with CUPS Wizard, and successfully printed the test page.

Hope the above information is useful. Your distribution is amazing. I especially like the desktop, with the analog clock and display of system resources. Very nice.

Very Respectfully,

Devildog
Back to top
View user's profile Send_private_message 
Tui

Joined: 27 Sep 2006
Posts: 380
Location: Wellington New Zealand

PostPosted: Wed 06 Feb 2008, 04:13    Post_subject: No network detection
Sub_title: Hardware tested ok with other puppy version
 

Hi MU,
I did a D/L of this your latest version, did a md5 check
before burn and all was ok. I have in the past experienced incompleted
d/l s' but said the d/l was completed (using d/l manager in seamonkey)
and after a burn and test run found a sim problem with non detection
of lan card, so with a wget d/l I got an extra few megs and a reburn
the problem was solved.

Not the problem with yours' as the md5sum was as you said.

I tested my hardware with BarryK's V3.01 and this finds the lan card.
Also I failed to say that it won't detect my sound card. Barry's
does.

As you said in the thread that Muppy 008.2 was built on the
standard V3.01 - then whats wrong with my burnt copy?

I hope you can help me with this problem. I recorded the
hardware model no with Barryk v3.01 and did a manual
select in yours but the message came back as failed, I also
tried others but with the same result.

Cheers Tui
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 06 Feb 2008, 09:17    Post_subject:  

Tui,
I'd need to know which kernel-modules are used
Please run
lsmod >root/mod.txt
in Puppy and in Muppy.
Then please attach mod.txt from both here.
Do you run directly from CD, or from a harddisk installation?
Mark
Back to top
View user's profile Send_private_message Visit_website 
Tui

Joined: 27 Sep 2006
Posts: 380
Location: Wellington New Zealand

PostPosted: Wed 06 Feb 2008, 18:43    Post_subject: New findings with Muppy!
Sub_title: Live CD
 

Hi Mark,

Well I tried the command lsmod >root/mod.txt, was that to
be in the " terminal console" window ? I tried that and returned no file
found.!

I got a lot of info with the command just - "lsmod" - so what did
I do wrong ?

I used the "pfind" command and looked for the "kernel", that
returned modules 2.6.21.7 , is that what you mean?

Also run your 008.1 full install, on the same machine hp6609 that
has the same problem no sound nor lan card found.

Now the findings, well when I run the live CDs' in ram, 008.1 and
008.2 the both versions detect sound and lan,so what could
be the problem ? I had cleaned the h/d with a fresh run of GNOME
PART EDITOR with a swap part of 512mb created. I did a full
h/d install of version 008.1 but as I said still no good.!

Well Mark see what you can come up with!

Cheers Tui
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Thu 07 Feb 2008, 00:22    Post_subject:  

Sorry, forgot a char, should be:
lsmod >/root/mod.txt

But forget it.
Your problem is the full installation.
Puppys universal-installer does not install the Kernelmodules from zmsy_082.sfs.


Quote:
WARNING (added by minisys.org):

the universal installer offers a full installation to an own partition.
This is NOT recommended.
Use a frugal installation instead.

minisys.org will not answer any support requests concerning full installations!



Solution:
boot from CD.
Click on zmsy_082.sfs on the CD.
This should open it in Rox.
Then copy the files in it to your harddisk.
If it is not mounted by Rox, do it in a consolewindow:

Code:
mkdir /root/mount
mount -o loop /mnt/CDROM/zmsy_082.sfs /root/mount
cp -ax /root/mount/* /mnt/HARDDISK
sync
umount /root/mount


You must use the real devicenames for /mnt/CDROM and /mnt/HARDDISK, for example /mnt/hda1/


I do however NOT recommend full installations...
Puppy is designed to use SFS files, not full harddisks.
You might encounter further problems.


Mark
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 10 Posts_count   Goto page: 1, 2, 3, ..., 8, 9, 10 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0872s ][ Queries: 13 (0.0054s) ][ GZIP on ]